GraphicsContext File Reference
`#include <osg/State>`
`#include <osg/GraphicsThread>`
`#include <osg/Timer>`
`#include <vector>`

Go to the source code of this file.

## Classes

class | osg::GraphicsContext
struct | osg::GraphicsContext::ScreenIdentifier
struct | osg::GraphicsContext::Traits
struct | osg::GraphicsContext::ScreenSettings
struct | osg::GraphicsContext::WindowingSystemInterface
class | osg::GraphicsContext::WindowingSystemInterfaces
struct | osg::GraphicsContext::SwapCallback
struct | osg::GraphicsContext::ResizedCallback
class | osg::SyncSwapBuffersCallback
struct | osg::WindowingSystemInterfaceProxy< T >

## Namespaces

namespace | osg

## Macros

#define | OSG_GRAPHICSCONTEXT 1
#define | REGISTER_WINDOWINGSYSTEMINTERFACE(ext, classname)

## Macro Definition Documentation

## OSG_GRAPHICSCONTEXT

#define OSG_GRAPHICSCONTEXT 1

## REGISTER_WINDOWINGSYSTEMINTERFACE

#define REGISTER_WINDOWINGSYSTEMINTERFACE | ( |  | ext,
|  |  | classname )

Value:
extern "C" void graphicswindow_##ext(void) {} \
static osg::WindowingSystemInterfaceProxy<classname> s_proxy_##classname(#ext);
osg::WindowingSystemInterfaceProxy
Definition GraphicsContext:583